/**
 * An annotation that you can send to CodeMirror to cause the code
 * to be re-linted. This could be because you've updated stuff
 * out-of-band in the TypeScript environment.
 *
 * @example
 * view.dispatch({
 *   annotations: [triggerLint.of(true)],
 * });
 */
export declare const triggerLint: import("@codemirror/state").AnnotationType<boolean>;
/**
 * Binds the TypeScript `lint()` method with TypeScript's
 * semantic and syntactic diagnostics. You can use
 * the `getLints` method for a lower-level interface
 * to the same data.
 */
export declare function tsLinter({ diagnosticCodesToIgnore, }?: {
    diagnosticCodesToIgnore?: number[];
}): import("@codemirror/state").Extension;
//# sourceMappingURL=tsLinter.d.ts.map